Loading...
Searching...
No Matches
L4Re::Util::Event_buffer_t< PAYLOAD > Class Template Reference
L4Re C++ Interface » L4Re Util C++ Interface

Event_buffer utility class. More...

`#include <event_buffer>`

Inheritance diagram for L4Re::Util::Event_buffer_t< PAYLOAD >:
Collaboration diagram for L4Re::Util::Event_buffer_t< PAYLOAD >:

## Public Member Functions

void * | buf () const noexcept
| Return the buffer.
long | attach (L4::Cap< L4Re::Dataspace > ds, L4::Cap< L4Re::Rm > rm) noexcept
| Attach event buffer from address space.
long | detach (L4::Cap< L4Re::Rm > rm) noexcept
| Detach event buffer from address space.
Public Member Functions inherited from L4Re::Event_buffer_t< PAYLOAD >
Event * | next () noexcept
| Next event in buffer.
bool | put (Event const &ev) noexcept
| Put event into buffer at current position.

## Detailed Description

template<typename PAYLOAD>
class L4Re::Util::Event_buffer_t< PAYLOAD >

Event_buffer utility class.

Definition at line 25 of file event_buffer.

## Member Function Documentation

## attach()

template<typename PAYLOAD>

long L4Re::Util::Event_buffer_t< PAYLOAD >::attach | ( | L4::Cap< L4Re::Dataspace > | ds,
|  | L4::Cap< L4Re::Rm > | rm )

inlinenoexcept

Attach event buffer from address space.

Parameters

  ds | Dataspace of the event buffer.
  rm | Region manager to attach buffer to.

Returns
  0 on success, negative error code otherwise.

Definition at line 45 of file event_buffer.

## buf()

template<typename PAYLOAD>

void * L4Re::Util::Event_buffer_t< PAYLOAD >::buf | ( |  | ) | const

inlinenoexcept

Return the buffer.

Returns
  Pointer to the event buffer.

Definition at line 35 of file event_buffer.

## detach()

template<typename PAYLOAD>

long L4Re::Util::Event_buffer_t< PAYLOAD >::detach | ( | L4::Cap< L4Re::Rm > | rm | ) |

inlinenoexcept

Detach event buffer from address space.

Parameters

  rm | Region manager to detach buffer from.

Returns
  0 on success, negative error code otherwise.

Definition at line 68 of file event_buffer.

The documentation for this class was generated from the following file:

- l4/re/util/event_buffer